# xarray.core.accessor_str.StringAccessor.match

`StringAccessor.``match`(pat, case=True, flags=0)

  Determine if each string matches a regular expression.

  Parameters:

  - pat (string) – Character sequence or regular expression
  - case (boolean, default True) – If True, case sensitive
  - flags (int, default 0 (no flags)) – re module flags, e.g. re.IGNORECASE

  Returns: | matched
  Return type: | array of bool